
Foreman - Bug #23273

undefined method '#freeze' for String::Jail (String) on Ruby 2.5.1

04/14/2018 02:01 PM - Anonymous

Status: Closed   

Priority: High   

Assignee:    

Category: Templates   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5453,

https://github.com/theforeman/foreman/p

ull/5491,

https://github.com/theforeman/foreman/p

ull/5499,

https://github.com/theforeman/foreman/p

ull/5500

  

Description

Related issues:

Blocks Foreman - Tracker #22103: Support Ruby 2.5 Resolved

Associated revisions

Revision 1c0aeff0 - 04/17/2018 09:23 AM - Michael Moll 

Fixes #23273 - use safemode which allows .freeze

History

#1 - 04/14/2018 02:04 PM - Anonymous

- Blocks Tracker #22103: Support Ruby 2.5 added

#2 - 04/14/2018 02:13 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5453 added

#3 - 04/17/2018 10:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1c0aeff060b5da9fc5e6fb374169c7823e132bf5.

#4 - 04/24/2018 07:44 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5491 added

#5 - 04/26/2018 02:59 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5499 added

#6 - 04/26/2018 03:55 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5500 added
